Subject: downsides of NDAs

From: Tzahi Fadida <[email-masked]>
Date: Mon, 28 Mar 2005 14:39:12 +0200

I was wondering.
I recently was asked to sign up a standard confidetiality agreement.
In the past when I was fully imployed I didn't have any trouble
doing such things since I knew I had a horizon of a couple of
years which meant that the agreement could expire till then.
If I sign such an agreement, what are the downsides for future
works I will apply, actually work, etc...
also what are the downsides for open source projects I am working
on. How can I determine what is in the agreement and what is out?
10x.

Regards,
	tzahi.

* - * - *
Itzhak Fadida
MSc Student
Information System Engineering Area
Faculty of Industrial Engineering & Management
Technion - Israel Institute of Technology
Technion City, Haifa, Israel 32000
Technion Email: [email-masked]
Alternative Email: [email-masked]
Office Phone(from Israel): 04-8292226
Office Location: Technion, Cooper Bldg. room 427.
* - * - * - * - * - * - * - * - * - * - * - * - * - * - *

WARNING TO SPAMMERS:  see at
http://members.lycos.co.uk/my2nis/spamwarning.html

---

From: guy keren <[email-masked]>
Date: Mon, 28 Mar 2005 20:14:29 +0200 (IST)

On Mon, 28 Mar 2005, Tzahi Fadida wrote:

> years which meant that the agreementcould expire till then.

you never have a 2-years horizon, no matter what you _imagine_ ;)
sometimes you don't even have a 1-year horizon.

> on. How can I determine what is in the agreement and what is out?

assuming you agree with my previous statement - you're in the came
situation as you were in the past - only with some more experience(?).

before signing an NDA, ask yourself - is this NDA necessary? if it is,
sign it. if you think it's not - say so, and don't sign it. there's a 3rd
way - ask for more information, in order to assess if you realy want to
know what is behind that NDA.

finally, what's in an NDA anyway? it just means you won't be allowed to
disclose what they tell you, in a given time period (i'm not sure that a
2-years period will hold in courts today, by the way, but don't count on
this). i think the chances of this NDA clashing with something you'll want
to do in the next 2 years, are smaller then the chances you'll stop having
a horizon in those 2 years ;)

-- 
guy

"For world domination - press 1,
 or dial 0, and please hold, for the creator." -- nob o. dy

---

From: Tzahi Fadida <[email-masked]>
Date: Mon, 28 Mar 2005 18:49:23 +0200

The problem is it's a consulting job. They need to check the validity of
an algorithm or a concept with proffesional eyes in certain areas.
Now, since it's a "secret" now, I can't know what is the job just that
its in
my area of experties and that I was recommended.
Its difficult to assess if this NDA is necessary since I don't know what
is the content :) it's the chicken and the egg.
I agree 2 years horizon in this business is ludicrus. but you
can always set goals, it doesn't mean they'll become true.
Also, when an organization goes public with a solution this agreement
is trashed since the algorithms or concept would be public knowledge.
I have 2 main concerns: 
1. that I will be in conflict of interests when
wanting to work in certain workplaces.
2. The NDA would be used to undermine projects I developed but did not
publicise or may develop in the same general area.

> > In the past when I was fully imployed I didn't have any 
> trouble doing 
> > such things since I knew I had a horizon of a couple of years which 
> > meant that the agreementcould expire till then.
> 
> you never have a 2-years horizon, no matter what you 
> _imagine_ ;) sometimes you don't even have a 1-year horizon.
> 
> > If I sign such an agreement, what are the downsides for 
> future works I 
> > will apply, actually work, etc... also what are the 
> downsides for open 
> > source projects I am working on. How can I determine what is in the 
> > agreement and what is out? 10x.
> 
> assuming you agree with my previous statement - you're in the 
> came situation as you were in the past - only with some more 
> experience(?).
> 
> before signing an NDA, ask yourself - is this NDA necessary? 
> if it is, sign it. if you think it's not - say so, and don't 
> sign it. there's a 3rd way - ask for more information, in 
> order to assess if you realy want to know what is behind that NDA.
> 
> finally, what's in an NDA anyway? it just means you won't be 
> allowed to disclose what they tell you, in a given time 
> period (i'm not sure that a 2-years period will hold in 
> courts today, by the way, but don't count on this). i think 
> the chances of this NDA clashing with something you'll want 
> to do in the next 2 years, are smaller then the chances 
> you'll stop having a horizon in those 2 years ;)
> 
> -- 
> guy
> 
> Yahoo! Groups Links

---

From: Oleg Goldshmidt <[email-masked]>
Date: 28 Mar 2005 18:46:44 +0000

> years which meant that the agreement could expire till then.

I don't understand this. Such agreements may hold even after your
employment is terminated, and even after your employer is no longer a
business or judicial entity (there may be heirs). You are signing a
legally binding (presumably) agreement with another party. That other
party may be your employer, or your client, or whatever. There may be
subtle differences, but the gist of the matter is the same, IMHO.

> works I will apply, actually work, etc...

IANAL, but AFAIK in Israel courts take into account a notion of
reasonable scope and time horizon of any confidentiality or
non-disclosure agreements. I.e. even if a contract says you are not
allowed to talk to anyone about relational databases for the next 30
years it will not stand in court. 

Check which jurisdiction applies, some small print may say you'll have
to represent yourself in some obscure corner of the globe with laws
very different from ours. As long as you are in Israel an Israeli
court will have to uphold a foreign ruling. However, the obscure
corner of the globe where you are convicted of heinous crimes against
someone else's intellectual property may be a part of a country you
will likely visit in the future, maybe as a part of your future
employment.

IANAL.

> on. How can I determine what is in the agreement and what is out?

The only reasonable way to determine that is to pick a lawyer you can
trust and consult him or her. While you are consulting the lawyer, be
as paranoid as you can, and make sure you understand the answers.

This list has some very smart people lurking and posting occasionally,
but are there lawyers here?

-- 
Oleg Goldshmidt | [email-masked] | http://www.goldshmidt.org

---

From: Tzahi Fadida <[email-masked]>
Date: Mon, 28 Mar 2005 19:53:03 +0200

> -----Original Message-----
> From: Oleg Goldshmidt [mailto:[email-masked]] 
> Sent: Monday, March 28, 2005 8:47 PM
> To: [email-masked]
> Subject: Re: [hackers-il] downsides of NDAs
> 
> 
> 
> > meant that the agreement could expire till then.
> 
> I don't understand this. Such agreements may hold even after 
> your employment is terminated, and even after your employer 
> is no longer a business or judicial entity (there may be 
> heirs). You are signing a legally binding (presumably) 
> agreement with another party. That other party may be your 
> employer, or your client, or whatever. There may be subtle 
> differences, but the gist of the matter is the same, IMHO.

The standard NDAs are limited for 2 years. this is what we meant.
IIRC this NDAs are under california laws.

> > will apply, actually work, etc...
> 
> IANAL, but AFAIK in Israel courts take into account a notion 
> of reasonable scope and time horizon of any confidentiality 
> or non-disclosure agreements. I.e. even if a contract says 
> you are not allowed to talk to anyone about relational 
> databases for the next 30 years it will not stand in court. 

I am not worried about public knowledge presignature. They can't
tell you, you can't talk about matters in the area that was common
knowledge
presigning or even after signing if it did not came from the company.
Only the content of interaction with the firm should not be disclosed.

> 
> Check which jurisdiction applies, some small print may say 
> you'll have to represent yourself in some obscure corner of 
> the globe with laws very different from ours. As long as you 
> are in Israel an Israeli court will have to uphold a foreign 
> ruling. However, the obscure corner of the globe where you 
> are convicted of heinous crimes against someone else's 
> intellectual property may be a part of a country you will 
> likely visit in the future, maybe as a part of your future employment.

I think you can generaly ignore this NDAs if you are not planning to
visit california or the US in general but only if you can prove that the
confidential
issues are not confidential already and are public knowledge or
"sufficient" time has passed. I.e. 2 years or something equal in events.

> 
> IANAL.
> 
> > also what are the downsides for open source projects I am 
> working on. 
> > How can I determine what is in the agreement and what is out?
> 
> The only reasonable way to determine that is to pick a lawyer 
> you can trust and consult him or her. While you are 
> consulting the lawyer, be as paranoid as you can, and make 
> sure you understand the answers.
> 
> This list has some very smart people lurking and posting 
> occasionally, but are there lawyers here?

its pointless, this agreements usually give you no leeways as most
agreements
do, however this does not say they are valid. On the contrary, if they
confine you
too much the agreement won't be valid in many countries.

---

From: guy keren <[email-masked]>
Date: Tue, 29 Mar 2005 17:58:27 +0200 (IST)

> is the content :) it's the chicken and the egg.

well, tell them about your concerns before singing anything, and make them
tell you more about what they want. don't just submit to their will - you
can simply skip this job, while they actually need to get it done, and
fair play implies they need to tell you something before you agree to sign
their 'blank check' ;)

> is trashed since the algorithms or concept would be public knowledge.

not at all. the organization goes public with a product, not necessarily
with how the product work. unless, ofcourse, they are talking about a
patent, and then you can never know when they'll go making a patent...

> wanting to work in certain workplaces.

with NDAs, you can't realy help that. note, however, that you'll simply
need to tell potential conflicting employers about the existance of this
NDA, and that usually settles the matter (you won't be asked to supply
info in the area covered by the NDA).

> publicise or may develop in the same general area.

then write a list of such projects, and add them to the NDA, stating
anything already done in any of these projects before signing the NDA, is
not covered by the NDA. publisize these projects by making them available
on the web and making sure they get indexed by google and friends ;)

on a final note: if you're so concerned and/or so paranoid - you're
probably not yet ready for NDA signing, so skip the job and don't sign it.

-- 
guy

---

From: Tzahi Fadida <[email-masked]>
Date: Mon, 04 Apr 2005 15:05:45 +0200

Thanks guys.
I was ready to skip it but the guy agreed to skip the NDA for that
particular
matter he presented to me. I just told him that I don't think that
signing NDA at
this stage is prudent especially with a consulting firm. 
Anyway we made it a trust issue and continued.

I think it's the first time I encountered a problem I never thought
about.
When you sign NDA with a firm that specializes with Intellectual
property
they can pass their rights and your commitments to other companies!
I.e. the NDA included some clauses like that. Like your obligations is
a currency. I am just guessing but I think that if, for example, you
signed an NDA with one of these firms and they sold their rights
to microsoft then when you are doing something microsoft don't
like, this time you have microsoft on your back. Do you really
want that? 
very similar to debt collectors that buys your debt.

Regards,
	tzahi.

> From: guy keren [mailto:[email-masked]] 
> Sent: Tuesday, March 29, 2005 5:58 PM
> Subject: RE: [hackers-il] downsides of NDAs
> 
> 
> 
> 
> > The problem is it's a consulting job. They need to check 
> the validity 
> > of an algorithm or a concept with proffesional eyes in 
> certain areas. 
> > its in my area of experties and that I was recommended.
> well, tell them about your concerns before singing anything, 
> and make them tell you more about what they want. don't just 
> submit to their will - you can simply skip this job, while 
> they actually need to get it done, and fair play implies they 
> need to tell you something before you agree to sign their 
> 'blank check' ;)
> 
> > I agree 2 years horizon in this business is ludicrus. but you can 
> > always set goals, it doesn't mean they'll become true. 
> Also, when an 
> > organization goes public with a solution this agreement is trashed 
> > since the algorithms or concept would be public knowledge.
> 
> not at all. the organization goes public with a product, not 
> necessarily with how the product work. unless, ofcourse, they 
> are talking about a patent, and then you can never know when 
> they'll go making a patent...
> 
> > I have 2 main concerns:
> with NDAs, you can't realy help that. note, however, that 
> you'll simply need to tell potential conflicting employers 
> about the existance of this NDA, and that usually settles the 
> matter (you won't be asked to supply info in the area covered 
> by the NDA).
> 
> then write a list of such projects, and add them to the NDA, 
> stating anything already done in any of these projects before 
> signing the NDA, is not covered by the NDA. publisize these 
> projects by making them available on the web and making sure 
> they get indexed by google and friends ;)
> 
> on a final note: if you're so concerned and/or so paranoid - 
> you're probably not yet ready for NDA signing, so skip the 
> job and don't sign it.
> 
> -- 
> guy
>